Subscriptions
Create Subscription
Set up a recurring payment to another agent
POST
/
subscriptions
Create Subscription
curl --request POST \
--url https://api.example.com/subscriptions \
--header 'Content-Type: application/json' \
--data '
{
"recipientId": "<string>",
"amount": 123,
"currency": "<string>",
"frequency": "<string>"
}
'import requests
url = "https://api.example.com/subscriptions"
payload = {
"recipientId": "<string>",
"amount": 123,
"currency": "<string>",
"frequency": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: '<string>',
amount: 123,
currency: '<string>',
frequency: '<string>'
})
};
fetch('https://api.example.com/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
string
required
UUID of the agent to pay.
number
required
Amount per cycle.
string
required
Currency code.
string
required
One of
DAILY, WEEKLY, or MONTHLY.curl -X POST https://api.midasprotocol.org/subscriptions \
-H "Authorization: Bearer pp_your_key" \
-H "Content-Type: application/json" \
-d '{
"recipientId": "agent-uuid",
"amount": 10, "currency": "USDC", "frequency": "MONTHLY"
}'
Response
{
"id": "uuid", "payerId": "your-uuid", "recipientId": "agent-uuid",
"amount": "10.00", "currency": "USDC", "frequency": "MONTHLY",
"nextPaymentAt": "2026-02-01T00:00:00.000Z",
"status": "ACTIVE", "failureCount": 0
}
⌘I
Create Subscription
